Bug 149494 - Unable to make ls to download.fedora.redhat.com with ncftp-3.1.8-3
Unable to make ls to download.fedora.redhat.com with ncftp-3.1.8-3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ncftp (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-23 12:14 EST by Jochen Schmitt
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-02 15:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to solve the reported bug (1.97 KB, patch)
2005-02-23 12:14 EST, Jochen Schmitt
no flags Details | Diff

  None (edit)
Description Jochen Schmitt 2005-02-23 12:14:27 EST
I can't make a ls to download.fedora.redhat.com.

Whe I set the debuging mode, I can see, that a EPSV-command will be sent to the
ftp server.

I have create a bug, which avoid sending EPSV and LPSV to a not IP6 interface.

Best Regards:

Jochen Schmitt
Comment 1 Jochen Schmitt 2005-02-23 12:14:27 EST
Created attachment 111340 [details]
Patch to solve the reported bug
Comment 2 Matthias Saou 2005-04-21 06:46:51 EDT
I can reproduce the problem indeed.
I'm going to update the FC4 Extras package to 3.1.9 + IPv6 patch :
ftp://ftp.kame.net/pub/kame/misc/ncftp-319-v6-20050419.diff.gz
For which your patch no longer applies cleanly, and for which the problem still
exists. Could you have a look at 3.1.9, create a new patch and ideally also send
it upstream (email "core at kame.net" if it's a change to the Kame IPv6 patch)?
Comment 3 Jochen Schmitt 2005-04-28 15:36:55 EDT
I have try to build ncftp-3.1.9 with the current kame patch and the patch I
attached to this bus report.

I couldn't find any problems.

Best Regards:

Jochen Schmitt
Comment 4 Jochen Schmitt 2005-05-01 15:56:35 EDT
I have uploaded a working Source RPM at

http://www.herr-schmitt.de/pub/ncftp/ncftp-3.1.9-5.src.rpm

Best Regards:

Jochen Schmitt
Comment 5 Matthias Saou 2005-05-02 15:58:54 EDT
Indeed, the proposed patch still works fine with 3.1.9.
I've commited the change, which will appear in Fedora Extras 4. Thanks a lot for
the patch!

Note You need to log in before you can comment on or make changes to this bug.